Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface LogBroadcasterRuntimeMBean

public interface LogBroadcasterRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This MBean broadcasts JMX notifications for each log message generated in the local WLS server. There is exactly one implementation of this MBean in each WLS server. JMX listeners can register to this MBean and receive log notifications. The type of the notification generated is WebLogicLogNotification.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  `WebLogicLogNotification`

Field Summary
`static java.lang.String` | `BROADCASTER_NAME` MBean Name of the singleton which implements this interface in each WLS server.

Method Summary
`long` | `getMessagesLogged()` Number of total log messages generated by this instance of the weblogic server.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### BROADCASTER_NAME

    public static final java.lang.String BROADCASTER_NAME

  MBean Name of the singleton which implements this interface in each WLS server. This name can be used to find this MBean using JMX mechanisms. e.g. mbeanHome.getRuntimeMBean(BROADCASTER_NAME,"LogBroadcasterRuntime");

Method Detail

### getMessagesLogged

    public long getMessagesLogged()

  Number of total log messages generated by this instance of the weblogic server.

  Returns:
    The messagesLogged value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD